package b4i.anywheresoftware.iClsLimitBarDemo;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class b4i_main_subs_0 {


public static RemoteObject  _application_background() throws Exception{
try {
		Debug.PushSubsStack("Application_Background (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,43);
if (RapidSub.canDelegate("application_background")) return b4i_main.remoteMe.runUserSub(false, "main","application_background");
 BA.debugLineNum = 43;BA.debugLine="Private Sub Application_Background";
Debug.ShouldStop(1024);
 BA.debugLineNum = 45;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _application_start(RemoteObject _nav) throws Exception{
try {
		Debug.PushSubsStack("Application_Start (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,24);
if (RapidSub.canDelegate("application_start")) return b4i_main.remoteMe.runUserSub(false, "main","application_start", _nav);
Debug.locals.put("Nav", _nav);
 BA.debugLineNum = 24;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 25;BA.debugLine="NavControl = Nav";
Debug.ShouldStop(16777216);
b4i_main._navcontrol = _nav;
 BA.debugLineNum = 26;BA.debugLine="Page1.Initialize(\"Page1\")";
Debug.ShouldStop(33554432);
b4i_main._page1.runVoidMethod ("Initialize::",b4i_main.ba,(Object)(RemoteObject.createImmutable("Page1")));
 BA.debugLineNum = 27;BA.debugLine="Page1.Title = \"Page 1\"";
Debug.ShouldStop(67108864);
b4i_main._page1.runMethod(true,"setTitle:",BA.ObjectToString("Page 1"));
 BA.debugLineNum = 28;BA.debugLine="Page1.RootPanel.Color = Colors.White";
Debug.ShouldStop(134217728);
b4i_main._page1.runMethod(false,"RootPanel").runMethod(true,"setColor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"White"));
 BA.debugLineNum = 29;BA.debugLine="Page1.RootPanel.LoadLayout(\"main\")";
Debug.ShouldStop(268435456);
b4i_main._page1.runMethod(false,"RootPanel").runMethodAndSync(false,"LoadLayout::",(Object)(RemoteObject.createImmutable("main")),b4i_main.ba);
 BA.debugLineNum = 30;BA.debugLine="NavControl.ShowPage(Page1)";
Debug.ShouldStop(536870912);
b4i_main._navcontrol.runVoidMethod ("ShowPage:",(Object)(((b4i_main._page1).getObject())));
 BA.debugLineNum = 33;BA.debugLine="ltbTest1.Initialize(Me, \"ltbTest1\")";
Debug.ShouldStop(1);
b4i_main._ltbtest1.runVoidMethod ("_initialize:::",b4i_main.ba,(Object)(b4i_main.getObject()),(Object)(RemoteObject.createImmutable("ltbTest1")));
 BA.debugLineNum = 34;BA.debugLine="ltbTest1.FrontLineColor = Colors.Blue";
Debug.ShouldStop(2);
b4i_main._ltbtest1.runVoidMethod ("_setfrontlinecolor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"Blue"));
 BA.debugLineNum = 35;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnchangeproperties_click() throws Exception{
try {
		Debug.PushSubsStack("btnChangeProperties_Click (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,52);
if (RapidSub.canDelegate("btnchangeproperties_click")) return b4i_main.remoteMe.runUserSub(false, "main","btnchangeproperties_click");
 BA.debugLineNum = 52;BA.debugLine="Private Sub btnChangeProperties_Click";
Debug.ShouldStop(524288);
 BA.debugLineNum = 53;BA.debugLine="ltbTest1.Left = 60dip";
Debug.ShouldStop(1048576);
b4i_main._ltbtest1.runMethod(true,"_setleft:",b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 54;BA.debugLine="ltbTest1.Width = 250dip";
Debug.ShouldStop(2097152);
b4i_main._ltbtest1.runMethod(true,"_setwidth:",b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 250))));
 BA.debugLineNum = 55;BA.debugLine="ltbTest1.Height = 60dip";
Debug.ShouldStop(4194304);
b4i_main._ltbtest1.runMethod(true,"_setheight:",b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 56;BA.debugLine="ltbTest1.BackLineColor = Colors.Blue";
Debug.ShouldStop(8388608);
b4i_main._ltbtest1.runMethod(true,"_setbacklinecolor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"Blue"));
 BA.debugLineNum = 57;BA.debugLine="ltbTest1.FrontLineColor = Colors.Green";
Debug.ShouldStop(16777216);
b4i_main._ltbtest1.runVoidMethod ("_setfrontlinecolor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"Green"));
 BA.debugLineNum = 58;BA.debugLine="ltbTest1.Max = 150";
Debug.ShouldStop(33554432);
b4i_main._ltbtest1.runMethod(true,"_setmax:",BA.numberCast(int.class, 150));
 BA.debugLineNum = 59;BA.debugLine="ltbTest1.LimitLeft = 20";
Debug.ShouldStop(67108864);
b4i_main._ltbtest1.runMethod(true,"_setlimitleft:",BA.numberCast(int.class, 20));
 BA.debugLineNum = 60;BA.debugLine="ltbTest1.LimitRight = 120";
Debug.ShouldStop(134217728);
b4i_main._ltbtest1.runMethod(true,"_setlimitright:",BA.numberCast(int.class, 120));
 BA.debugLineNum = 61;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ltbtest_valueschanged(RemoteObject _limitleft,RemoteObject _limitright) throws Exception{
try {
		Debug.PushSubsStack("ltbTest_ValuesChanged (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,47);
if (RapidSub.canDelegate("ltbtest_valueschanged")) return b4i_main.remoteMe.runUserSub(false, "main","ltbtest_valueschanged", _limitleft, _limitright);
Debug.locals.put("LimitLeft", _limitleft);
Debug.locals.put("LimitRight", _limitright);
 BA.debugLineNum = 47;BA.debugLine="Sub ltbTest_ValuesChanged(LimitLeft As Int, LimitR";
Debug.ShouldStop(16384);
 BA.debugLineNum = 48;BA.debugLine="lblLimitLeft.Text = LimitLeft";
Debug.ShouldStop(32768);
b4i_main._lbllimitleft.runMethod(true,"setText:",BA.NumberToString(_limitleft));
 BA.debugLineNum = 49;BA.debugLine="lblLimitRight.Text = LimitRight";
Debug.ShouldStop(65536);
b4i_main._lbllimitright.runMethod(true,"setText:",BA.NumberToString(_limitright));
 BA.debugLineNum = 50;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _page1_resize(RemoteObject _width,RemoteObject _height) throws Exception{
try {
		Debug.PushSubsStack("Page1_Resize (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,37);
if (RapidSub.canDelegate("page1_resize")) return b4i_main.remoteMe.runUserSub(false, "main","page1_resize", _width, _height);
Debug.locals.put("Width", _width);
Debug.locals.put("Height", _height);
 BA.debugLineNum = 37;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
Debug.ShouldStop(16);
 BA.debugLineNum = 38;BA.debugLine="ltbTest1.AddToParent(Page1.RootPanel, 40dip, 100d";
Debug.ShouldStop(32);
b4i_main._ltbtest1.runVoidMethod ("_addtoparent:::::::",(Object)(b4i_main._page1.runMethod(false,"RootPanel")),(Object)(b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 40)))),(Object)(b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 100)))),(Object)(b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 240)))),(Object)(b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 30)))),(Object)(b4i_main.__c.runMethod(false,"Colors").runMethod(true,"Red")),(Object)(b4i_main.__c.runMethod(true,"DipToCurrent:",(Object)(BA.numberCast(int.class, 5)))));
 BA.debugLineNum = 39;BA.debugLine="lblLimitLeft.Text = ltbTest.LimitLeft";
Debug.ShouldStop(64);
b4i_main._lbllimitleft.runMethod(true,"setText:",BA.NumberToString(b4i_main._ltbtest.runMethod(true,"_limitleft")));
 BA.debugLineNum = 40;BA.debugLine="lblLimitRight.Text = ltbTest.LimitRight";
Debug.ShouldStop(128);
b4i_main._lbllimitright.runMethod(true,"setText:",BA.NumberToString(b4i_main._ltbtest.runMethod(true,"_limitright")));
 BA.debugLineNum = 41;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 13;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Public App As Application";
b4i_main._app = RemoteObject.createNew("B4IApplicationWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Public NavControl As NavigationController";
b4i_main._navcontrol = RemoteObject.createNew("B4INavigationControllerWrapper");
 //BA.debugLineNum = 18;BA.debugLine="Private Page1 As Page";
b4i_main._page1 = RemoteObject.createNew("B4IPage");
 //BA.debugLineNum = 20;BA.debugLine="Private ltbTest, ltbTest1 As LimitBar";
b4i_main._ltbtest = RemoteObject.createNew("b4i_limitbar");
b4i_main._ltbtest1 = RemoteObject.createNew("b4i_limitbar");
 //BA.debugLineNum = 21;BA.debugLine="Private lblLimitLeft, lblLimitRight As Label";
b4i_main._lbllimitleft = RemoteObject.createNew("B4ILabelWrapper");
b4i_main._lbllimitright = RemoteObject.createNew("B4ILabelWrapper");
 //BA.debugLineNum = 22;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}